package com.hxhq.business.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 供试品管理对象 t_gsp
 *
 * @author HanLong
 * @date 2025-12-30
 */
@TableName("t_gsp")
public class Gsp extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 制剂状态 1:入库 3:已发放 5:已锁定 7:待归档 9:归档 11:待解档 */
    private Integer zjzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 编辑状态：1:未编辑 3:审核中 */
    private Integer bjzt;

    /** 库存编辑状态：1:未编辑 3:审核中 */
    private Integer kcbjzt;

    /** 名称 */
    @Compare(name = "名称", nameEn = "Name")
    private String mc;

    /** 编号 */
    private String bh;

    /** 批号 */
    @Compare(name = "批号", nameEn = "Batch Number")
    private String ph;

    /** 规格 */
    @Compare(name = "规格", nameEn = "Specification")
    private String gg;

    /** 规格 */
    @Compare(name = "规格单位", nameEn = "Specification Unit")
    private String ggdw;

    /** 库存数量 */
    private String kc;

    /** 库存单位 */
    private String kcdw;

    /** 有效期 */
    @Compare(name = "有效期", nameEn = "Validity Period")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yxq;

    /** 接收日期 */
    @Compare(name = "接收日期", nameEn = "Date Received")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jsrq;

    /** 存储条件 */
    @Compare(name = "存储条件", nameEn = "Storage Condition")
    private String cctj;

    /** 注意事项 */
    @Compare(name = "注意事项", nameEn = "Notification")
    private String zysx;

    /** 名称编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String mcbj;

    /** 批号编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String phbj;

    /** 规格编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String ggbj;

    /** 规格单位 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String ggdwbj;

    /** 有效期编辑 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date yxqbj;

    /** 接收日期编辑 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date jsrqbj;

    /** 存储条件编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String cctjbj;

    /** 注意事项编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String zysxbj;

    /** 库存编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbj;

    /** 库存单位编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcdwbj;

    /** 编辑备注 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String bjbz;

    /** 库存备注 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbjbz;

    /** 编辑人id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long bjrId;

    /** 编辑人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String bjrMc;

    /** 库存编辑人id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long kcbjrId;

    /** 库存编辑人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbjrMc;

    /** 发放转移条件 */
    private String ffzytj;

    /** 领取人1id */
    private Long lqr1Id;

    /** 领取人2id */
    private Long lqr2Id;

    /** 发放人1id */
    private Long ffr1Id;

    /** 发放人2id */
    private Long ffr2Id;

    /** 领取人1名称 */
    private String lqr1Mc;

    /** 领取人2名称 */
    private String lqr2Mc;

    /** 发放人1名称 */
    private String ffr1Mc;

    /** 发放人2名称 */
    private String ffr2Mc;

    /** 发放日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ffrq;

    /** 发放备注 */
    private String ffbz;

    /** 发放目的ids */
    private String mdIds;

    /** 发放目的其他 */
    private String mdOther;

    /** 关联暂存柜id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long zcgId;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 归档申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gdsqsj;

    /** 档案申请人名称 */
    private String dasqrMc;

    /** 档案申请人ID*/
    private Long dasqrId;

    /** 档案申请人名称 */
    private String dasqrMcOld;

    /** 档案申请人ID*/
    private Long dasqrIdOld;

    public String getDasqrMcOld() {
        return dasqrMcOld;
    }

    public void setDasqrMcOld(String dasqrMcOld) {
        this.dasqrMcOld = dasqrMcOld;
    }

    public Long getDasqrIdOld() {
        return dasqrIdOld;
    }

    public void setDasqrIdOld(Long dasqrIdOld) {
        this.dasqrIdOld = dasqrIdOld;
    }

    public Date getGdsqsj() {
        return gdsqsj;
    }

    public void setGdsqsj(Date gdsqsj) {
        this.gdsqsj = gdsqsj;
    }

    public String getDasqrMc() {
        return dasqrMc;
    }

    public void setDasqrMc(String dasqrMc) {
        this.dasqrMc = dasqrMc;
    }

    public Long getDasqrId() {
        return dasqrId;
    }

    public void setDasqrId(Long dasqrId) {
        this.dasqrId = dasqrId;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public Long getZcgId() {
        return zcgId;
    }

    public void setZcgId(Long zcgId) {
        this.zcgId = zcgId;
    }

    public void setZjzt(Integer zjzt)
    {
        this.zjzt = zjzt;
    }

    public Integer getZjzt()
    {
        return zjzt;
    }

    public void setJyzt(Integer jyzt)
    {
        this.jyzt = jyzt;
    }

    public Integer getJyzt()
    {
        return jyzt;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }

    public void setPh(String ph)
    {
        this.ph = ph;
    }

    public String getPh()
    {
        return ph;
    }

    public void setGg(String gg)
    {
        this.gg = gg;
    }

    public String getGg()
    {
        return gg;
    }

    public void setGgdw(String ggdw)
    {
        this.ggdw = ggdw;
    }

    public String getGgdw()
    {
        return ggdw;
    }

    public void setKc(String kc)
    {
        this.kc = kc;
    }

    public String getKc()
    {
        return kc;
    }

    public void setKcdw(String kcdw)
    {
        this.kcdw = kcdw;
    }

    public String getKcdw()
    {
        return kcdw;
    }

    public void setYxq(Date yxq)
    {
        this.yxq = yxq;
    }

    public Date getYxq()
    {
        return yxq;
    }

    public void setJsrq(Date jsrq)
    {
        this.jsrq = jsrq;
    }

    public Date getJsrq()
    {
        return jsrq;
    }

    public void setCctj(String cctj)
    {
        this.cctj = cctj;
    }

    public String getCctj()
    {
        return cctj;
    }

    public void setZysx(String zysx)
    {
        this.zysx = zysx;
    }

    public String getZysx()
    {
        return zysx;
    }

    public Integer getBjzt() {
        return bjzt;
    }

    public void setBjzt(Integer bjzt) {
        this.bjzt = bjzt;
    }

    public Integer getKcbjzt() {
        return kcbjzt;
    }

    public void setKcbjzt(Integer kcbjzt) {
        this.kcbjzt = kcbjzt;
    }

    public String getMcbj() {
        return mcbj;
    }

    public void setMcbj(String mcbj) {
        this.mcbj = mcbj;
    }

    public String getPhbj() {
        return phbj;
    }

    public void setPhbj(String phbj) {
        this.phbj = phbj;
    }

    public String getGgbj() {
        return ggbj;
    }

    public void setGgbj(String ggbj) {
        this.ggbj = ggbj;
    }

    public String getGgdwbj() {
        return ggdwbj;
    }

    public void setGgdwbj(String ggdwbj) {
        this.ggdwbj = ggdwbj;
    }

    public Date getYxqbj() {
        return yxqbj;
    }

    public void setYxqbj(Date yxqbj) {
        this.yxqbj = yxqbj;
    }

    public Date getJsrqbj() {
        return jsrqbj;
    }

    public void setJsrqbj(Date jsrqbj) {
        this.jsrqbj = jsrqbj;
    }

    public String getCctjbj() {
        return cctjbj;
    }

    public void setCctjbj(String cctjbj) {
        this.cctjbj = cctjbj;
    }

    public String getZysxbj() {
        return zysxbj;
    }

    public void setZysxbj(String zysxbj) {
        this.zysxbj = zysxbj;
    }

    public String getKcbj() {
        return kcbj;
    }

    public void setKcbj(String kcbj) {
        this.kcbj = kcbj;
    }

    public String getKcdwbj() {
        return kcdwbj;
    }

    public void setKcdwbj(String kcdwbj) {
        this.kcdwbj = kcdwbj;
    }

    public String getBjbz() {
        return bjbz;
    }

    public void setBjbz(String bjbz) {
        this.bjbz = bjbz;
    }

    public String getKcbjbz() {
        return kcbjbz;
    }

    public void setKcbjbz(String kcbjbz) {
        this.kcbjbz = kcbjbz;
    }

    public Long getBjrId() {
        return bjrId;
    }

    public void setBjrId(Long bjrId) {
        this.bjrId = bjrId;
    }

    public String getBjrMc() {
        return bjrMc;
    }

    public void setBjrMc(String bjrMc) {
        this.bjrMc = bjrMc;
    }

    public Long getKcbjrId() {
        return kcbjrId;
    }

    public void setKcbjrId(Long kcbjrId) {
        this.kcbjrId = kcbjrId;
    }

    public String getKcbjrMc() {
        return kcbjrMc;
    }

    public void setKcbjrMc(String kcbjrMc) {
        this.kcbjrMc = kcbjrMc;
    }

    public String getFfzytj() {
        return ffzytj;
    }

    public void setFfzytj(String ffzytj) {
        this.ffzytj = ffzytj;
    }

    public Long getLqr1Id() {
        return lqr1Id;
    }

    public void setLqr1Id(Long lqr1Id) {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr2Id() {
        return lqr2Id;
    }

    public void setLqr2Id(Long lqr2Id) {
        this.lqr2Id = lqr2Id;
    }

    public Long getFfr1Id() {
        return ffr1Id;
    }

    public void setFfr1Id(Long ffr1Id) {
        this.ffr1Id = ffr1Id;
    }

    public Long getFfr2Id() {
        return ffr2Id;
    }

    public void setFfr2Id(Long ffr2Id) {
        this.ffr2Id = ffr2Id;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }

    public Date getFfrq() {
        return ffrq;
    }

    public void setFfrq(Date ffrq) {
        this.ffrq = ffrq;
    }

    public String getFfbz() {
        return ffbz;
    }

    public void setFfbz(String ffbz) {
        this.ffbz = ffbz;
    }

    public String getMdIds() {
        return mdIds;
    }

    public void setMdIds(String mdIds) {
        this.mdIds = mdIds;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }
}
